public class Sensor {
	
	private float angle, targetAngle, minAngle, maxAngle, force;
	private boolean changed;
	private int type;

	public Sensor(float angle, float minAngle, float maxAngle, int type) {
		this.angle = this.targetAngle = angle;
		this.force = 0;
		this.minAngle = minAngle;
		this.maxAngle = maxAngle;
		this.type = type;
	}

	public int getType() {
		return this.type;
	}
	public float getAngle() {
		return this.angle;
	}
	public float getTargetAngle() {
		return this.targetAngle;
	}
	public float getMinAngle() {
		return this.minAngle;
	}
	public float getMaxAngle() {
		return this.maxAngle;
	}
	public float getForce() {
		return this.force;
	}
	public void setAngle(float angle) {
		this.angle = angle;
	}
	public void setTargetAngle(float targetAngle, float force) {
		this.targetAngle = targetAngle;
		this.force = force;
	}
	public boolean getChanged() {
		return changed;
	}
	public void setChanged(boolean changed) {
		this.changed = changed;
	}
}
